Package: org.grails.web.servlet.mvc

## [Groovy] Class SynchronizerTokensHolder

- org.grails.web.servlet.mvc.SynchronizerTokensHolder

- All Implemented Interfaces and Traits:
    java.io.Serializable

      class SynchronizerTokensHolder
      extends java.lang.Object

  A token used to handle double-submits.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `HOLDER` |
    `static java.lang.String` | `TOKEN_KEY` |
    `static java.lang.String` | `TOKEN_URI` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Map<java.lang.String, java.util.Set<java.util.UUID>>` | `currentTokens`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `generateToken(java.lang.String url)`
    `` | `protected java.util.Set<java.util.UUID>` | `getTokens(java.lang.String url)`
    `` | `boolean` | `isEmpty()`
    `` | `boolean` | `isValid(java.lang.String url, java.lang.String token)`
    `` | `void` | `resetToken(java.lang.String url)`
    `` | `void` | `resetToken(java.lang.String url, java.lang.String token)`
    `` | `static SynchronizerTokensHolder` | `store(javax.servlet.http.HttpSession session)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String HOLDER

    - #### public static final java.lang.String TOKEN_KEY

    - #### public static final java.lang.String TOKEN_URI

  - ### Property Detail

    - #### java.util.Map<java.lang.String, java.util.Set<java.util.UUID>> currentTokens

  - ### Method Detail

    - #### java.lang.String generateToken(java.lang.String url)

    - #### protected java.util.Set<java.util.UUID> getTokens(java.lang.String url)

    - #### boolean isEmpty()

    - #### boolean isValid(java.lang.String url, java.lang.String token)

    - #### void resetToken(java.lang.String url)

    - #### void resetToken(java.lang.String url, java.lang.String token)

    - #### static SynchronizerTokensHolder store(javax.servlet.http.HttpSession session)